Subject: Re: [RFC PATCH 01/35] merge: improve fatal fast-forward message

From: Junio C Hamano <[email-masked]>
Date: Tue, 06 Jul 2021 13:56:11 -0700

"Randall S. Becker" <[email-masked]> writes:

>>If you do:
>>
>>  % git merge --ff-only
>>  fatal: Not possible to fast-forward, aborting.
>>
>>That "aborting" part is redundant; we know `git merge` should abort
> if the fast-forward is not possible, we explicitely told git to do
> that.
>
> `git merge` is a special operation where errors (conflicts, for one)
> may leave the repository in a merge pending state where you
> subsequently may have to use `git merge --abort` to reset the
> situation or `git add` to continue. The `aborting` output makes it
> clear that you do not have to do the `--abort` and *cannot* do the
> `add` because there was an implicit `--abort` done resulting from the
> failure. This is important information for the user.

If so, adding ", aborting" to the end is misleading.  In this
particular failure mode, the command pretends that the merge did not
even start.